Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

ContentContentInfoProxy.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Repository\Values\Content;
8
9 use eZ\Publish\API\Repository\Values\Content\ContentInfo as APIContentInfo;
10 use eZ\Publish\Core\Repository\Values\GeneratorProxyTrait;
11
22 class ContentContentInfoProxy extends APIContentInfo
23 {
24 use GeneratorProxyTrait;
25
27 protected $object;
28
30 protected $proxy;
31
32 public function __construct(ContentProxy $proxy, int $id, $status = APIContentInfo::STATUS_PUBLISHED)
33 {
34 $this->proxy = $proxy;
35 $this->id = $id;
36
37 // See warning on class doc.
38 parent::__construct(['status' => $status]);
39 }
40
44 protected function loadObject()
45 {
46 $this->object = $this->proxy->getVersionInfo()->getContentInfo();
47 $this->proxy = null;
48 }
49 }
eZ\Publish\Core\Repository\Values\GeneratorProxyTrait
trait GeneratorProxyTrait
Trait for proxies, covers all relevant magic methods and exposes private method to load object.
Definition: GeneratorProxyTrait.php:19
eZ\Publish\API\Repository\Values\Content\ContentInfo
Definition: API/Repository/Values/Content/ContentInfo.php:31
eZ\Publish\API\Repository\Values\Content\ContentInfo\$status
$status
Definition: API/Repository/Values/Content/ContentInfo.php:140
eZ\Publish\API\Repository\Values\Content\ContentInfo\$id
$id
Definition: API/Repository/Values/Content/ContentInfo.php:41
eZ\Publish\Core\Repository\Values\Content\ContentContentInfoProxy
This class represents a (lazy loaded) proxy for a content info value, for use by ContentProxy.
Definition: ContentContentInfoProxy.php:23
eZ\Publish\Core\Repository\Values\Content\ContentContentInfoProxy\loadObject
loadObject()
Get the inner content Info value object from ContentProxy.
Definition: ContentContentInfoProxy.php:44
eZ\Publish\Core\Repository\Values\Content\ContentContentInfoProxy\$object
$object
Definition: ContentContentInfoProxy.php:27
eZ\Publish\Core\Repository\Values\Content\ContentContentInfoProxy\$proxy
$proxy
Definition: ContentContentInfoProxy.php:30
eZ\Publish\Core\Repository\Values\Content\ContentContentInfoProxy\__construct
__construct(ContentProxy $proxy, int $id, $status=APIContentInfo::STATUS_PUBLISHED)
Definition: ContentContentInfoProxy.php:32
eZ\Publish\Core\Repository\Values\Content\ContentProxy
This class represents a (lazy loaded) proxy for a content value.
Definition: ContentProxy.php:19
eZ\Publish\Core\Repository\Values\Content
Definition: Publish/Core/Repository/Values/Content/Content.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.